#include <amxmodx>
#include <fakemeta>
#include <hamsandwich>

#define PLUGIN "CS Revo: Fast Sniper"
#define VERSION "1.1"
#define AUTHOR "Wilian M."

new Float:xCvarSniperDelay

public plugin_init()
{
	register_plugin(PLUGIN, VERSION, AUTHOR)
	
	bind_pcvar_float(create_cvar("fast_sniper_delay", "0.75"), xCvarSniperDelay)

	RegisterHam(Ham_Item_Deploy, "weapon_awp",   "xHamItemDeploy", true)
	RegisterHam(Ham_Item_Deploy, "weapon_scout", "xHamItemDeploy", true)
}

public xHamItemDeploy(ent)
{
	if(!pev_valid(ent))
		return HAM_IGNORED
	
	new id = get_pdata_cbase(ent, 41, 4)
	
	if(!is_user_alive(id))
		return HAM_IGNORED
	
	if(ent != get_pdata_cbase(id, 373, 5) || get_pdata_float(ent, 76, 4) != get_gametime())
		return HAM_IGNORED
	
	switch(get_pdata_int(ent, 43, 4))
	{
		case CSW_AWP:
		{
			set_pdata_float(ent, 46, xCvarSniperDelay, 4)
			set_pdata_float(ent, 47, xCvarSniperDelay, 4)
			set_pdata_float(id, 83, xCvarSniperDelay, 5)
		}
		case CSW_SCOUT:
		{
			set_pdata_float(ent, 46, xCvarSniperDelay, 4)
			set_pdata_float(ent, 47, xCvarSniperDelay, 4)
			set_pdata_float(id, 83, xCvarSniperDelay, 5)
		}
	}
	
	return HAM_IGNORED
}
